CREATE TABLE render_logs (
    id BIGSERIAL,
    rendered_at TIMESTAMP WITHOUT TIME ZONE NOT NULL,
    duration INT NOT NULL,
    username VARCHAR NOT NULL,
    template_id INTEGER NULL,
    template_internal_version BIGINT NULL,
    template_language VARCHAR NULL,
    from_type VARCHAR NOT NULL,
    to_type VARCHAR NOT NULL,
    pipeline_steps JSONB NOT NULL
);

CREATE INDEX ON render_logs (template_id);
CREATE INDEX ON render_logs (username);
